
stations: 
  - Airport Central (n5601025495)
  - Ashfield (n1875097931)
  - Aubin Grove (n10089698411)
  - Bassendean (n1875097932)
  - Bayswater (n1875097933)
  - Bull Creek (n1875097934)
  - Burswood (n32523458)
  - Butler (n10096420009)
  - Canning Bridge (n703745581)
  - City West (n703740421)
  - Claisebrook (n1764783032)
  - Claremont (n1875097935)
  - Clarkson (n619195274)
  - Cockburn Central (n662852799)
  - Cottesloe (n571514328)
  - Currambine (n10096420013)
  - Daglish (n703319617)
  - East Guildford (n1875097937)
  - East Perth (n302192812)
  - Edgewater (n632623415)
  - Elizabeth Quay (n632710516)
  - Fremantle (n703329460)
  - Glendalough (n10096420008)
  - Grant Street (n703289059)
  - Greenwood (n632658051)
  - Guildford (n1875097938)
  - High Wycombe (n5601025496)
  - Joondalup (n632610021)
  - Karrakatta (n703301461)
  - Kwinana (n706923437)
  - Lakelands (n9878595567)
  - Leederville (n632710504)
  - Loch Street (n703301450)
  - Mandurah (n1779965975)
  - Maylands (n1875097940)
  - McIver (n1768322553)
  - Meltham (n1875097941)
  - Midland (n798461358)
  - Mosman Park (n703282697)
  - Mount Lawley (n1875097942)
  - Murdoch (n10090422300)
  - North Fremantle (n32525254)
  - Perth (n10086635093)
  - Perth Stadium (n5600581102)
  - Perth Underground (n632710510)
  - Redcliffe (n5601025492)
  - Rockingham (n718694049)
  - Shenton Park (n703319615)
  - Showgrounds (n583312258)
  - Stirling (n1875097945)
  - Subiaco (n703319618)
  - Success Hill (n32522353)
  - Swanbourne (n703289064)
  - Victoria Park (n910564245)
  - Victoria Street (n703282696)
  - Warnbro (n718694050)
  - Warwick (n632658057)
  - Wellard (n718677884)
  - West Leederville (n703319620)
  - Whitfords (n632638063)
  - Woodbridge (n1875097947)

transfers: 

routes: 
  - 
    type: train
    ref: Airport
    name: Airport Line
    colour: '#0bd5fe'
    station_count: 20
    stations: 
      - Claremont
      - Showgrounds
      - Loch Street
      - Karrakatta
      - Shenton Park
      - Daglish
      - Subiaco
      - West Leederville
      - City West
      - Perth
      - McIver
      - Claisebrook
      - East Perth
      - Mount Lawley
      - Maylands
      - Meltham
      - Bayswater
      - Redcliffe
      - Airport Central
      - High Wycombe

    itineraries: 
      r8279120: 
        - Claremont (n1875097935)
        - Showgrounds (n583312258)
        - Loch Street (n703301450)
        - Karrakatta (n703301461)
        - Shenton Park (n703319615)
        - Daglish (n703319617)
        - Subiaco (n703319618)
        - West Leederville (n703319620)
        - City West (n703740421)
        - Perth (n10086635093)
        - McIver (n1768322553)
        - Claisebrook (n1764783032)
        - East Perth (n302192812)
        - Mount Lawley (n1875097942)
        - Maylands (n1875097940)
        - Meltham (n1875097941)
        - Bayswater (n1875097933)
        - Redcliffe (n5601025492)
        - Airport Central (n5601025495)
        - High Wycombe (n5601025496)

      r14673852: 
        - High Wycombe (n5601025496)
        - Airport Central (n5601025495)
        - Redcliffe (n5601025492)
        - Bayswater (n1875097933)
        - Meltham (n1875097941)
        - Maylands (n1875097940)
        - Mount Lawley (n1875097942)
        - East Perth (n302192812)
        - Claisebrook (n1764783032)
        - McIver (n1768322553)
        - Perth (n10086635093)
        - City West (n703740421)
        - West Leederville (n703319620)
        - Subiaco (n703319618)
        - Daglish (n703319617)
        - Shenton Park (n703319615)
        - Karrakatta (n703301461)
        - Loch Street (n703301450)
        - Showgrounds (n583312258)
        - Claremont (n1875097935)


  - 
    type: train
    ref: Armadale
    name: 'Armadale Line: Victoria Park → Perth'
    colour: '#febe10'
    station_count: 6
    stations: 
      - Victoria Park
      - Burswood
      - Perth Stadium
      - Claisebrook
      - McIver
      - Perth

    itineraries: 
      r17271810: 
        - Victoria Park (n910564245)
        - Burswood (n32523458)
        - Perth Stadium (n5600581102)
        - Claisebrook (n1764783032)
        - McIver (n1768322553)
        - Perth (n10086635093)

      r17271813: 
        - Perth (n10086635093)
        - McIver (n1768322553)
        - Claisebrook (n1764783032)
        - Perth Stadium (n5600581102)
        - Burswood (n32523458)
        - Victoria Park (n910564245)


  - 
    type: train
    ref: Fremantle
    name: Fremantle Line
    colour: '#005a9c'
    station_count: 17
    stations: 
      - Perth
      - City West
      - West Leederville
      - Subiaco
      - Daglish
      - Shenton Park
      - Karrakatta
      - Loch Street
      - Showgrounds
      - Claremont
      - Swanbourne
      - Grant Street
      - Cottesloe
      - Mosman Park
      - Victoria Street
      - North Fremantle
      - Fremantle

    itineraries: 
      r2033169: 
        - Perth (n10086635093)
        - City West (n703740421)
        - West Leederville (n703319620)
        - Subiaco (n703319618)
        - Daglish (n703319617)
        - Shenton Park (n703319615)
        - Karrakatta (n703301461)
        - Loch Street (n703301450)
        - Showgrounds (n583312258)
        - Claremont (n1875097935)
        - Swanbourne (n703289064)
        - Grant Street (n703289059)
        - Cottesloe (n571514328)
        - Mosman Park (n703282697)
        - Victoria Street (n703282696)
        - North Fremantle (n32525254)
        - Fremantle (n703329460)

      r14677731: 
        - Fremantle (n703329460)
        - North Fremantle (n32525254)
        - Victoria Street (n703282696)
        - Mosman Park (n703282697)
        - Cottesloe (n571514328)
        - Grant Street (n703289059)
        - Swanbourne (n703289064)
        - Claremont (n1875097935)
        - Showgrounds (n583312258)
        - Loch Street (n703301450)
        - Karrakatta (n703301461)
        - Shenton Park (n703319615)
        - Daglish (n703319617)
        - Subiaco (n703319618)
        - West Leederville (n703319620)
        - City West (n703740421)
        - Perth (n10086635093)


  - 
    type: train
    ref: Joondalup
    name: Joondalup Line
    colour: '#a6aa12'
    station_count: 13
    stations: 
      - Elizabeth Quay
      - Perth Underground
      - Leederville
      - Glendalough
      - Stirling
      - Warwick
      - Greenwood
      - Whitfords Station
      - Edgewater
      - Joondalup
      - Currambine
      - Clarkson
      - Butler

    itineraries: 
      r2033180: 
        - Elizabeth Quay (n632710516)
        - Perth Underground (n632710510)
        - Leederville (n632710504)
        - Glendalough (n10096420008)
        - Stirling (n1875097945)
        - Warwick (n632658057)
        - Greenwood (n632658051)
        - Whitfords (n632638063)
        - Edgewater (n632623415)
        - Joondalup (n632610021)
        - Currambine (n10096420013)
        - Clarkson (n619195274)
        - Butler (n10096420009)

      r14689508: 
        - Butler (n10096420009)
        - Clarkson (n619195274)
        - Currambine (n10096420013)
        - Joondalup (n632610021)
        - Edgewater (n632623415)
        - Whitfords (n632638063)
        - Greenwood (n632658051)
        - Warwick (n632658057)
        - Stirling (n1875097945)
        - Glendalough (n10096420008)
        - Leederville (n632710504)
        - Perth Underground (n632710510)
        - Elizabeth Quay (n632710516)


  - 
    type: train
    ref: Mandurah
    name: Mandurah Line
    colour: '#e06f1d'
    station_count: 13
    stations: 
      - Mandurah
      - Lakelands
      - Warnbro
      - Rockingham
      - Wellard
      - Kwinana
      - Aubin Grove
      - Cockburn Central
      - Murdoch
      - Bull Creek
      - Canning Bridge
      - Elizabeth Quay
      - Perth Underground

    itineraries: 
      r2033178: 
        - Mandurah (n1779965975)
        - Lakelands (n9878595567)
        - Warnbro (n718694050)
        - Rockingham (n718694049)
        - Wellard (n718677884)
        - Kwinana (n706923437)
        - Aubin Grove (n10089698411)
        - Cockburn Central (n662852799)
        - Murdoch (n10090422300)
        - Bull Creek (n1875097934)
        - Canning Bridge (n703745581)
        - Elizabeth Quay (n632710516)
        - Perth Underground (n632710510)

      r14678703: 
        - Perth Underground (n632710510)
        - Elizabeth Quay (n632710516)
        - Canning Bridge (n703745581)
        - Bull Creek (n1875097934)
        - Murdoch (n10090422300)
        - Cockburn Central (n662852799)
        - Aubin Grove (n10089698411)
        - Kwinana (n706923437)
        - Wellard (n718677884)
        - Rockingham (n718694049)
        - Warnbro (n718694050)
        - Lakelands (n9878595567)
        - Mandurah (n1779965975)


  - 
    type: train
    ref: Midland
    name: Midland Line
    colour: '#a90056'
    station_count: 15
    stations: 
      - Perth
      - McIver
      - Claisebrook
      - East Perth
      - Mount Lawley
      - Maylands
      - Meltham
      - Bayswater
      - Ashfield
      - Bassendean
      - Success Hill
      - Guildford
      - East Guildford
      - Woodbridge
      - Midland

    itineraries: 
      r3228561: 
        - Perth (n10086635093)
        - McIver (n1768322553)
        - Claisebrook (n1764783032)
        - East Perth (n302192812)
        - Mount Lawley (n1875097942)
        - Maylands (n1875097940)
        - Meltham (n1875097941)
        - Bayswater (n1875097933)
        - Ashfield (n1875097931)
        - Bassendean (n1875097932)
        - Success Hill (n32522353)
        - Guildford (n1875097938)
        - East Guildford (n1875097937)
        - Woodbridge (n1875097947)
        - Midland (n798461358)

      r14677908: 
        - Midland (n798461358)
        - Woodbridge (n1875097947)
        - East Guildford (n1875097937)
        - Guildford (n1875097938)
        - Success Hill (n32522353)
        - Bassendean (n1875097932)
        - Ashfield (n1875097931)
        - Bayswater (n1875097933)
        - Meltham (n1875097941)
        - Maylands (n1875097940)
        - Mount Lawley (n1875097942)
        - East Perth (n302192812)
        - Claisebrook (n1764783032)
        - McIver (n1768322553)
        - Perth (n10086635093)


  - 
    type: train
    ref: Thornlie
    name: 'Thornlie Line: Victoria Park → Perth'
    colour: '#febe10'
    station_count: 6
    stations: 
      - Victoria Park
      - Burswood
      - Perth Stadium
      - Claisebrook
      - McIver
      - Perth

    itineraries: 
      r17271811: 
        - Victoria Park (n910564245)
        - Burswood (n32523458)
        - Perth Stadium (n5600581102)
        - Claisebrook (n1764783032)
        - McIver (n1768322553)
        - Perth (n10086635093)

      r17271812: 
        - Perth (n10086635093)
        - McIver (n1768322553)
        - Claisebrook (n1764783032)
        - Perth Stadium (n5600581102)
        - Burswood (n32523458)
        - Victoria Park (n910564245)



